Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class StatisticNote

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.botmanager.common.bean.StatisticNote

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class StatisticNote extends IdContractId

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatisticNote()`
  `StatisticNote(int botId, int contractId, long messengerUserId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBotId()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  Возвращает id договора
  `Date`
  `getLastMessageTime()`
  `int`
  `getLastViewedDialogId()`
  `long`
  `getMessengerUserId()`
  `void`
  `setBotId(int botId)`
  `void`
  `setComment(String comment)`
  `StatisticNote`
  `setContractId(int contractId)`
  `void`
  `setLastMessageTime(Date lastMessageTime)`
  `void`
  `setLastViewedDialogId(int lastViewedDialogId)`
  `void`
  `setMessengerUserId(long messengerUserId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StatisticNote

    public StatisticNote()

  - ### StatisticNote

    public StatisticNote(int botId, int contractId, long messengerUserId)

- ## Method Details

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Overrides:
      `getContractId` in class `IdContractId`
    Returns:

  - ### setContractId

    public StatisticNote setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getLastMessageTime

    public Date getLastMessageTime()

  - ### setLastMessageTime

    public void setLastMessageTime(Date lastMessageTime)

  - ### getBotId

    public int getBotId()

  - ### setBotId

    public void setBotId(int botId)

  - ### getMessengerUserId

    public long getMessengerUserId()

  - ### setMessengerUserId

    public void setMessengerUserId(long messengerUserId)

  - ### getLastViewedDialogId

    public int getLastViewedDialogId()

  - ### setLastViewedDialogId

    public void setLastViewedDialogId(int lastViewedDialogId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)